function annual_res = annual_indices(cut_set_res)
    

    %Retrieve results of each cut set as a cell
    res_cell = struct2cell(cut_set_res); 
    annual_res = struct;
    
    %Loops through each load point:
    for i = 1:length(res_cell)
        load=struct;
        load_point =strcat('load',num2str(i));
        
        %keeps loadpoint empty if no loss of load
        if isempty(res_cell{i})
            annual_res = setfield(annual_res,load_point,{});
            continue
        end
         
        
        lambda = 0;
        r=0;
        U=0;
        P_int=0; 
        ENS = 0; 
        cut_sets = {};
        
        %Loops through every minimal cut set
        for j = 1:size(res_cell{i},2)
            
            %Sums contributions from every minimal cut set
            lambda = lambda + res_cell{i}{j}.lambda_eq;
            U = U + res_cell{i}{j}.U_eq;
            P_int = P_int + res_cell{i}{j}.P_int_c;
            ENS = ENS + res_cell{i}{j}.ENS;
            cut_sets{j} = res_cell{i}{j}.set;
            
        end
        
        %Calculates equivalent repair time
        r = U/lambda;
        
        %Adds results to the struct load
        load.lambda=lambda;
        load.r=r;
        load.U=U;
        load.P_int=P_int;
        load.ENS=ENS; 
        load.set = cut_sets;
        
        %Adds load to the struct annual_res:     
        annual_res = setfield(annual_res, load_point , load); 
    end     

    
end