
function eq_values =  approx_equivalents(cut_sets,cont_results,lambda_approx,demand)
    
    %Only failures of parallell components are included in the code
    
    %Retrieve necessary data and data structures:  
    r = 11.420898198198216;        
    cut_sets = struct2cell(cut_sets); 
    lambda = struct2cell(lambda_approx); 
    eq_values = struct; 
    comp_out = full(cont_results.comp_out);
    SAC = cont_results.SAC(3:end,1:end);
    
    %Loop through each load point:
    for i = 1:size(cut_sets,1) 
        load_point =strcat('load',num2str(i));
        load={}; 
        P_int = 0;
        r_eq=0;
        U_eq=0; 
       
        %If no loss of load, keep empty:
        if isempty(cut_sets{i})
            eq_values = setfield(eq_values,load_point,{}); 
            continue
        end
        
        min_cuts = cut_sets{i}.min_cut;
        SAC_id = cut_sets{i}.SAC_id; 
        
        %Loop through each minimal cut set: 
        for j = 1:size(SAC_id,2)      
            sets = struct;
            comp = min_cuts{j} ;
            P_int = demand(i) - SAC(SAC_id{j},i); 
                   
                   
            %First order cut set:        
            if length(comp) == 1 
                lambda_eq = lambda{i}{j}.lambda;
                r_eq = r; 
                U_eq = lambda_eq * r_eq;
            
            %Second order cut set:    
            elseif length(comp) == 2
                lambda_eq = lambda{i}{j}.lambda;
                r_eq = (r * r)/(r + r);     
                U_eq = lambda_eq * r_eq; 
            
            %Third order cut set:
            elseif length(comp) == 3 
                lambda_eq = lambda{i}{j}.lambda;
                r_eq = (r * r* r)/(r + r + r) ; 
                U_eq = lambda_eq * r_eq;
                        
            else 
                disp('kuttesett av hyere orden enn 3')
                        
            end
            
            %Add results to the struct "sets":
            sets.P_int = P_int;
            sets.lambda_eq=lambda_eq; 
         	sets.r_eq = r_eq;
          	sets.U_eq = U_eq;
          	sets.set= comp; 
            load{end+1} = sets;
        end
        
        %Add "load" to the struct "eq_values":
        eq_values = setfield(eq_values,load_point,load);
                
    end
    
    
end
                   
                   
                    
              
%                 for j = size(cut_sets{i},2) %kuttesett
%                     
%                    comp = cut_sets{i}{j}
%                     
%                     %finne P_int: 
%                     
%                     if length(comp) == 1
%                         
%                         for k = 1:size(comp_out,1)   %rows
%                             
%                             if comp_out(i,comp(1)) == 1 && comp_out(i,start:(comp(1)-1)) == 0 && comp_out(i,(comp(1)+1):end) == 0
%                                 SAC = cont_results.SAC(k,i); 
%                                 
%                             end
%                         end
%                         
%                        P_int = cont_results.demand(i) - SAC ; 
%                        lambda_eq = lambda(comp(1)); 
%                        r_eq = r(comp(1)); 
%                        U_eq = lambda_eq * r_eq; 
%                        cut_name= num2str(comp(1));
%                        
%                     end
%                     
%                     
%                   if  comp(3) == 0       
%                     
%                       for k = 1:size(comp_out,1)   %rows
%                     
%                         if comp_out(i,comp(1)) == 1 && comp_out(i,comp(2)) == 1 %m f inn og resten er 0
%                             SAC = cont_results.SAC(k,i);
%                         end
%                       end 
%                         P_int = cont_results.demand(i) - SAC; 
%                         
%                         lambda_1 = lambda(comp(1));
%                         r_1 = r(comp(1));
%                         lambda_2 = lambda(comp(2)); 
%                         r_2 = r(comp(2)); 
%                         
%                         lambda_eq = (lambda_1 * lambda_2 * ( r_1 + r_2))/8760 % antar lambda*r er veldig liten. Viktig
%                         r_eq = (r_1 * r_2)/(r_1 + r_2) ; 
%                         U_eq = lambda_eq * r_eq
%                         cut_name= strcat(num2str(comp(1),',',num2str(comp(2))));
%                       end
%                         
%                   else
%         
%                        for k = 1:size(comp_out,1)   %rows
%                     
%                         if comp_out(i,comp(1)) == 1 && comp_out(i,comp(2)) == 1 && comp_out(i,comp(3)) == 1
%                             SAC = cont_results.SAC(k,i);
%                         end
%                        end
%                         P_int = cont_results.demand(i) - SAC; 
%                         
%                         lambda_1 = lambda(comp(1));
%                         r_1 = r(comp(1));
%                         lambda_2 = lambda(comp(2)); 
%                         r_2 = r(comp(2)); 
%                         lambda_3 = lambda(comp(3));
%                         r_3 = r(comp(3)); 
%                         
%                         lambda_eq = (lambda_1 * lambda_2 * lambda_3 * ( r_1 + r_2 + r_3))/8760 % antar lambda*r er veldig liten. Viktig
%                         r_eq = (r_1 * r_2* r_3)/(r_1 + r_2 + r_3) ; 
%                         U_eq = lambda_eq * r_eq
%                         
%                         cut_name= strcat(num2str(comp(1),',',num2str(comp(2)),',',num2str(comp(3)));
%                 end
%                     cut_set = setfield(cut_set, P_int, P_int);
%                     cut_set = setfield(cut_set,lambda,lambda_eq);
%                     cut_set = setfield(cut_set, r, r_eq);
%                     cut_set = setfield(cut_set, U , U_eq); 
%                    
      