
load('all_results_RBTS.mat')
line_1 = 1;
line_2 = 2;
P_n = 0.989875;
P_a = 0.010011;
P_e = 0.000114;

%find bound for all lines. n_upper and a_upper is a matrix of (1,12)
[n_upper,a_upper,lambda_avg] = find_cat_bounds(P_n, P_a, P_e); 

%find all durations and transitions of every transition for all lines. Both are a
%(1,12) cell with a 3x3 cell in each. all_trans is 1/duration of each
%weather period before it transfers to next one. 
[all_trans, all_durations] = find_transitions(n_upper,a_upper) ;

%Finds average transition rate for all lines and states. 
trans_rates = find_rates(all_trans);

%calculates approximate lambda
lambda_approx = three_state_approx(line_1,line_2,trans_rates,lambda_avg,P_n,P_a,P_e,rel_data);
