
function eq_values =  equivalents(cut_sets,cont_results,lambda_rbts,demand)
    
   %RBTS har kun parallelle minimale kuttesett, og det er kun dette som er
   %inkludert i denne utregningen
    
    %Retrieve neccesary data from the contingency analysis.
    
    r = 11.420898198198216;
    cut_sets = struct2cell(cut_sets); 
    eq_values = struct; 
    comp_out = full(cont_results.comp_out);
    SAC = cont_results.SAC(3:end,1:end);
    
    %Loops through all load points: 
    for i = 1:size(cut_sets,1)
            load_point =strcat('load',num2str(i));
            load={}; 
            P_int = 0;
            lambda_eq = 0;
            r_eq = 0;
            U_eq = 0; 
       
            %Adds load points with no loss of load to struct.
            if isempty(cut_sets{i})
                eq_values = setfield(eq_values,load_point,{}); 
                continue
            end
            
            %Retrieve minimal cut sets from input:
            min_cuts = cut_sets{i}.min_cut;
            SAC_id = cut_sets{i}.SAC_id; 
              
            %Loops through every minimal cut set
            for j = 1:size(SAC_id,2)  
                    sets = struct;
                    comp = min_cuts{j} ;
                    P_int = demand(i) - SAC(SAC_id{j},i); 
                   
                   
                    % 1. order minimal cut: 
                    if length(comp) == 1 
                        lambda_eq = lambda_rbts(comp(1)); 
                        r_eq = r; 
                        U_eq = lambda_eq * r_eq;
                        
                    % 2. order minimal cut:  
                    else 
                         lambda_1 = lambda_rbts(comp(1));
                         lambda_2 = lambda_rbts(comp(2)); 
                         lambda_eq = (lambda_1 * lambda_2 * (r + r))/(8760 + lambda_1*r + lambda_2*r);
                         r_eq = (r * r)/(r + r) ; 
                         U_eq = lambda_eq * r_eq; 
                    
                   
                   %Adds results to the sets struct 
                   sets.P_int = P_int;
                   sets.lambda_eq=lambda_eq; 
                   sets.r_eq = r_eq;
                   sets.U_eq = U_eq;
                   sets.set= comp; 
                  
                   %Adds sets to the load cell
                   load{end+1} = sets;
            end
            
            %Adds the load cell to the eq_values struct
            eq_values = setfield(eq_values,load_point,load);
                
    end
    
    
end
                   

              
      