function lambda_approx = find_approx_lambda(cut_sets,trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations)
    
    %Defines necessary data structure:
    cut_sets = struct2cell(cut_sets); 
    lambda_approx = struct; 
    
    %Loops through each load point:
    for i = 1:length(cut_sets)  
        load_point =strcat('load',num2str(i));
        sets = {}; 
        %If no loss of load at load point, keep empty: 
        if isempty(cut_sets{i})
            lambda_approx = setfield(lambda_approx,load_point,{});
            continue
        end
    
        min_cut = cut_sets{i}.min_cut;
        %Loop through each minimal cut set: 
        for j = 1:length(min_cut)
            %First order minimal cut set:
            if length(min_cut{j}) == 1       
                sets{j}.lambda = lambda_rbts(min_cut{j}(1))+ P_n*lambda_avg{j}(1)*8760 + P_a*lambda_avg{j}(2)*8760 + P_e*lambda_avg{j}(3)*8760;
                sets{j}.set = min_cut{j};
            %Second order minimal cut set: 
            else
                sets{j}.lambda = three_state_approx(min_cut{j}(1),min_cut{j}(2),trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations);
                sets{j}.set = min_cut{j};
            end
        end
        %Add results to struct: 
        lambda_approx = setfield(lambda_approx,load_point,sets);
    end



end