function [n_upper,a_upper,lambda_avg] = find_cat_bounds(P_n,P_a,P_e,f_prob)

    %Check total probability:
    tot = P_n+P_a+P_e;


    %Define neccesary data structure: 
    n_upper = zeros(1,size(f_prob,2));
    a_upper = zeros(1,size(f_prob,2));
    lambda_avg = cell(1,size(f_prob,2));
    delta = 1e-5;
    
    %Check total probability is one:
    if abs(1 - tot) >= delta       %sjekke total sannsynlighet
        disp('This probability does not add up to 1. Try again');
    end
 
    %Loop through each line: 
    for i= 1:size(f_prob,2)
    
        %Create bounds based on increasing probabilities:
        row=f_prob(:,i)';           
        row_inc = sort(row);
        step_n_upper = round(length(row_inc)*P_n); 
        n_upper_i = row_inc(step_n_upper);              
        step_a_upper = round(length(row_inc)*(P_n+P_a)); 
        a_upper_i = row_inc(step_a_upper);               
        n_upper(i) = n_upper_i;   
        a_upper(i) = a_upper_i; 
    
        %Calculate average failure rates for each category:
        lambda = zeros(3,1);                    
        n=row_inc(1:step_n_upper);
        a=row_inc((step_n_upper+1):step_a_upper);     
        e=row_inc((step_a_upper+1):end);
        lambda(1) = sum(n)/length(n);
        lambda(2) = sum(a)/length(a);      
        lambda(3) = sum(e)/length(e); 
        lambda_avg{i} = lambda;             
        
    end

end