%Only one method can be run simultanuosly. 
%If the approximate equations method - approx = 1
%If base case method with no weather is wanted all parameters = 0
%If Average method is wanted - weather = 1
%If timestep sum method is wanted - timestep = 1 
%If timestep product method is wanted - timestep = 1 and prod = 1 


approx = 0; 
weather = 0; 
print_sets = 0;
print_annual = 0; 
timestep=1; 
prod = 0; 

%Check that only one method is run: 
num_method = approx + weather + timestep; 

if num_method > 1
    disp('Only one method can be run at a time. Try again')
    return
end

P_n = 0.989875;
P_a = 0.010011;
P_e = 0.000114;

%Loads results of the contingency analysis
load('RBTS_cont_results.mat');
demand = [20,85,40,20,20];
lambda_rbts = [1.5,5,4,1,1,1.5,5,1,1];
r = 11.420898198198216;



%Finds minimal cut sets for each load point
cut_sets=LP_cutsets(cont_results,demand);

%If approximate equations method is chosen:
if approx 
    %Find transition rates from inputdata:
    [trans_rates,lambda_avg,all_durations] = transition_rates(P_n,P_a,P_e);
    %Find approximate failure rate at each cut set:
    lambda_approx = find_approx_lambda(cut_sets,trans_rates,lambda_avg,P_n,P_a,P_e,lambda_rbts,all_durations);
    %Calculate equivalent values at each cut set:
    approx_eq_values = approx_equivalents(cut_sets,cont_results,lambda_approx,demand);
    %Calculate indices for each cut set:
    cut_set_res = cut_set_indices(approx_eq_values);

%If the OPAL methodology is chosen: 
else
    if weather 
        eq_values = equivalents_weather(cut_sets,cont_results,lambda_rbts,demand);
        cut_set_res = cut_set_indices(eq_values);
    else
        %Calculates equivalent values at each cut set: 
        eq_values = equivalents(cut_sets,cont_results,lambda_rbts,demand);
        %Calculates indices at each cut set:
        cut_set_res = cut_set_indices(eq_values);
    end
end

if timestep
    flines = csvread('f_lines_rbts.csv',1,1);
    years = size(flines,1)/8760;
    if prod
       cut_set_res = timestep_prod(cut_sets,flines,years,cont_results,demand,lambda_rbts,r);
    else
        cut_set_res = timestep_sum(cut_sets,flines,years,cont_results,demand,lambda_rbts,r);
    end
    
    annual_res = annual_indices_timestep(cut_set_res); 
        
else
%Calculates annual results at each load point: 
annual_res = annual_indices(cut_set_res);

end
%Prints cut set indices if chosen:
if print_sets 
    write_cut_set_indices(cut_set_res);
end

%Prints annual load point indices if chosen: 
if print_annual
    write_annual_indices(annual_res);
end