function cut_set_res = timestep_prod(cut_sets,f_prob,years,cont_results,demand,lambda_rbts,r)

%sets lages og lagres feil! 
%grunnleggende RBTS verdier m inkluderes! 
%Utregning av 1. ordens kuttesett m inkluderes! 

    cut_sets = struct2cell(cut_sets);
    SAC = cont_results.SAC(3:end,1:end); 
    conv_fprob = conv2(ones(11,1),1,f_prob,'valid');
    cut_set_res = struct; 
    for i = 1:size(SAC,2)  %load point
        load = {};
        load_point =strcat('load',num2str(i));
        %If no loss of load at load point, keep empty. 
        if isempty(cut_sets{i})   
            cut_set_res = setfield(cut_set_res,load_point,{});
            continue
        end
        
         %Retrieve minimal cut sets from input:
         min_cuts = cut_sets{i}.min_cut;
         SAC_id = cut_sets{i}.SAC_id; 
          
         
         for j = 1:length(min_cuts) %each cut set
           sets=struct;
             P_int = demand(i)-SAC(SAC_id{j},i); 
             comp = min_cuts{j}; 
             U_sum=0;
             w=r/11;
             
             if length(comp) == 1   %Er dette riktig mte  regne ut p?!?
                 
                 U_rbts_1 = lambda_rbts(comp(1))*r/8760;
                    for k = 12:size(f_prob,1) 
                   
                        product_1 = cumprod(1 - (f_prob(k-10:k,comp(1)))*w);
                        U_1 = (1 - product_1(end)) + U_rbts_1;
                        U_sum = U_sum + U_1;
                 
                    end 
                 
                 
                 
                 
             else
             
                U_rbts_1 = lambda_rbts(comp(1))*r/8760;
                U_rbts_2 = lambda_rbts(comp(2))*r/8760;
                
                for k = 12:size(f_prob,1) 
                    
                   product_1 = cumprod(1 - (f_prob(k-10:k,comp(1)))*w);
                    U_1 = (1 - product_1(end)) + U_rbts_1;
                    product_2 = cumprod(1 - (f_prob(k-10:k,comp(2)))*w);
                    U_2 = (1 - product_2(end))+U_rbts_2;
                    
                    U_sum = U_sum + U_1*U_2; 
                 
                end
             end
                U_eq = U_sum/years;
             
             ENS = U_eq * P_int;
             sets.cut = comp;
             sets.U_eq = U_eq;
             sets.ENS = ENS;
             sets.P_int = P_int;
             load{end + 1} = sets;
         end
        
         cut_set_res = setfield(cut_set_res,load_point,load);
          
    end


    

end