function cut_set_res = timestep_sum(cut_sets,f_prob,years,cont_results,demand,lambda_rbts,r)
 

    cut_sets = struct2cell(cut_sets);
    SAC = cont_results.SAC(3:end,1:end); 
    conv_fprob = conv2(ones(11,1),1,f_prob,'valid');
    cut_set_res = struct; 
    
    %Loops through each load point
    for i = 1:size(SAC,2)
        load = {};
        load_point =strcat('load',num2str(i));
        
        %If no loss of load at load point, keep empty. 
        if isempty(cut_sets{i})   
            cut_set_res = setfield(cut_set_res,load_point,{});
            continue
        end
        
         %Retrieve minimal cut sets from input:
         min_cuts = cut_sets{i}.min_cut;
         SAC_id = cut_sets{i}.SAC_id; 
          
         %Loops through each minimal cut set: 
         for j = 1:length(min_cuts) %each cut set
           sets=struct;
             P_int = demand(i)-SAC(SAC_id{j},i); 
             comp = min_cuts{j}; 
             U_sum=0;
             w=r/11;
             
             %If first order minimal cut set: 
             if length(comp) == 1          
                    U_rbts_1 = lambda_rbts(comp(1))*r/8760;
                    for k = 1:size(conv_fprob,1) 
                        U_sum = U_sum + (U_rbts_1 +(conv_fprob(k,comp(1)))*w); 
                    end 
                 
             %Second order minimal cut set:     
             else
                U_rbts_1 = lambda_rbts(comp(1))*r/8760;
                U_rbts_2 = lambda_rbts(comp(2))*r/8760; 
                %Calculates U at each timestep
                for k = 1:size(conv_fprob,1) 
                    U_sum = U_sum + (U_rbts_1 +(conv_fprob(k,comp(1)))*w)*(U_rbts_2 + (conv_fprob(k,comp(2)))*w); 
                end
             end
             
             %Calculates yearly indices:
             U_eq = U_sum/years;
             ENS = U_eq * P_int;
             %Defines indicies in the struct: 
             sets.cut = comp;
             sets.U_eq = U_eq;
             sets.ENS = ENS;
             sets.P_int = P_int;
             load{end + 1} = sets;
         end
         cut_set_res = setfield(cut_set_res,load_point,load);     
    end

end